Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.sonar.model
[Groovy] Class SonarProjectModel

    java.lang.Object
      org.gradle.api.plugins.sonar.model.SonarProjectModel

All Implemented Interfaces:
  SonarModel

    class SonarProjectModel

Configuration options for subprojects of a project that has the `sonar` plugin applied.

Property Summary
`List` | `childModels` Configuration options for child projects of this project.
`SonarProject` | `project` Per-project configuration options.

Method Summary
`void` | `project(Closure config)` Configures per-project configuration options.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### childModels

    List childModels

  Configuration options for child projects of this project.

### project

    SonarProject project

  Per-project configuration options.

Method Detail

### project

    void project(Closure config)

  Configures per-project configuration options. The specified closure delegates to an instance of SonarProject.
  Parameters:
    `config` - per-project configuration options

Gradle API 1.10